Skip to content

DocsAPI referenceWebhooks

List a job's webhook deliveries

One per target (the job's webhook_url, the default endpoint) once the job has ended.

GET /v1/jobs/{id}/webhook-deliveries

Needs an API key: Authorization: Bearer $VIDEXO_API_KEY.

Parameters

Parameters
NameInTypeDescription
id requiredpathstring, up to 64 charactersThe job id.

Request

bash
curl "$VIDEXO_API_URL/v1/jobs/job_3k9x0c2mfq8w1n7r5t4b6v2z/webhook-deliveries" \
  -H "Authorization: Bearer $VIDEXO_API_KEY"

Response

200 JSON
{
  "data": [
    {
      "id": "msg_5d0c8f7a1b2e4c6d9e0f1a2b",
      "job_id": "job_3k9x0c2mfq8w1n7r5t4b6v2z",
      "event_type": "job.succeeded",
      "target": "endpoint",
      "endpoint_id": "we_4n8c2kq0x7m1v5z3b9r6t0wa",
      "url": "https://example.com/hooks/videxo",
      "status": "delivered",
      "attempts": 1,
      "max_attempts": 8,
      "next_attempt_at": null,
      "last_attempt_at": "2026-11-04T12:01:10.000Z",
      "last_status_code": 204,
      "last_error": null,
      "last_duration_ms": 182,
      "last_response_body": "",
      "delivered_at": "2026-11-04T12:01:10.000Z",
      "created_at": "2026-11-04T12:01:09.000Z"
    }
  ]
}

Responses

Responses
StatusBodyWhen
200objectThe job's deliveries.
401Problemauthentication_failed (missing_api_key, invalid_api_key, api_key_revoked, api_key_expired)
403Problempermission_denied (token_scope): a client token cannot call this route
404Problemnot_found (job)
429Problemrate_limited, with Retry-After in seconds